(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      9298,        305]*)
(*NotebookOutlinePosition[      9985,        329]*)
(*  CellTagsIndexPosition[      9941,        325]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Transformation affine du plan", "Title"],

Cell[TextData[StyleBox["Dans Mathematica, une matrice peut se d\[EAcute]finir \
par une liste de listes", "Title",
  FontSize->16]], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \({{a, b}, {c, d}}\)], "Input"],

Cell[BoxData[
    \({{a, b}, {c, d}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      StyleBox["MatrixForm",
        FontWeight->"Bold"], 
      StyleBox["[",
        FontWeight->"Bold"], 
      RowBox[{
        StyleBox[\({{a, b}, {c, d}}\),
          FontWeight->"Bold"], ".", 
        StyleBox[\({x, y}\),
          FontWeight->"Bold"]}], 
      StyleBox["]",
        FontWeight->"Bold"]}]], "Input",
  FontWeight->"Plain"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(a\ x + b\ y\)},
            {\(c\ x + d\ y\)}
            }], "\[NoBreak]", ")"}],
      MatrixForm[ {
        Plus[ 
          Times[ a, x], 
          Times[ b, y]], 
        Plus[ 
          Times[ c, x], 
          Times[ d, y]]}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({{a, b}, {c, d}} . {x, y}\)], "Input"],

Cell[BoxData[
    \({a\ x + b\ y, c\ x + d\ y}\)], "Output"]
}, Open  ]],

Cell["\<\
En appliquant la matrice sur les coordonn\[EAcute]es d'un point {x,y}, on \
obtient les coordonn\[EAcute]es du nouveau point {a x+b y, c x+d y} (voir \
exercice de la br\[EGrave]ve du jour). Si on ajoute une translation, on \
obtient la relation suivante:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \({{a, b}, {c, d}} . {x, y} + {e, f}\)], "Input"],

Cell[BoxData[
    \({e + a\ x + b\ y, f + c\ x + d\ y}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Question 1", "Subsubsection"],

Cell[TextData[{
  "La relation ci-dessus fait appara\[IHat]tre 6 quantit\[EAcute]s inconnues \
(",
  StyleBox["a, b, c, d, e, f",
    FontSlant->"Italic"],
  ") qui caract\[EAcute]risent la transformation. Pour trouver ces \
coefficients. il faut donc consid\[EAcute]rer 3 images (",
  StyleBox["u, v",
    FontSlant->"Italic"],
  ") de points ",
  StyleBox["(x, y",
    FontSlant->"Italic"],
  "),  qui donnent 6 \[EAcute]quations. Pour \[EAcute]crire ces \
\[EAcute]quations, nous partons de 3 points:\nPremier point (",
  StyleBox["x, y",
    FontSlant->"Italic"],
  ")\nAppliquons la transformation sur ce point"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \({{a, b}, {c, d}} . {x, y} + {e, f}\)], "Input"],

Cell[BoxData[
    \({e + a\ x + b\ y, f + c\ x + d\ y}\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "Le r\[EAcute]sultat donne les coordonn\[EAcute]es du point transform\
\[EAcute], que nous appellerons (",
  StyleBox["u, v",
    FontSlant->"Italic"],
  "). Les deux premi\[EGrave]res \[EAcute]quations sont donc les suivantes:"
}], "Text"],

Cell[BoxData[{
    \(u == e + a\ x + b\ y\), "\[IndentingNewLine]", 
    \(v == f + c\ x + d\ y\)}], "Input"],

Cell["Ce qui peut s'\[EAcute]crire plus avantageusement :", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \({u, v} \[Equal] {e + a\ x + b\ y, 
        f + c\ x + d\ y}\), "\[IndentingNewLine]", 
    \({u2, v2} \[Equal] {e + a\ x2 + b\ y2, 
        f + c\ x2 + d\ y2}\), "\[IndentingNewLine]", 
    \({u3, v3} \[Equal] {e + a\ x3 + b\ y3, f + c\ x3 + d\ y3}\)}], "Input"],

Cell[BoxData[
    \({u, v} == {e + a\ x + b\ y, f + c\ x + d\ y}\)], "Output"],

Cell[BoxData[
    \({u2, v2} == {e + a\ x2 + b\ y2, f + c\ x2 + d\ y2}\)], "Output"],

Cell[BoxData[
    \({u3, v3} == {e + a\ x3 + b\ y3, f + c\ x3 + d\ y3}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sol = 
      Solve[{{u, v} \[Equal] {e + a\ x + b\ y, 
              f + c\ x + d\ y}, \[IndentingNewLine]{u2, 
              v2} \[Equal] {e + a\ x2 + b\ y2, 
              f + c\ x2 + d\ y2}, \[IndentingNewLine]{u3, 
              v3} \[Equal] {e + a\ x3 + b\ y3, f + c\ x3 + d\ y3}}, {a, b, c, 
          d, e, f}]\)], "Input"],

Cell[BoxData[
    \({{f \[Rule] \(-\(\(v3\ x2\ y - v2\ x3\ y - v3\ x\ y2 + v\ x3\ y2 + 
                  v2\ x\ y3 - v\ x2\ y3\)\/\(\(-x2\)\ y + x3\ y + x\ y2 - 
                  x3\ y2 - x\ y3 + x2\ y3\)\)\), 
        d \[Rule] \(-\(\(v2\ x - v3\ x - v\ x2 + v3\ x2 + v\ x3 - 
                  v2\ x3\)\/\(x2\ y - x3\ y - x\ y2 + x3\ y2 + x\ y3 - 
                  x2\ y3\)\)\), 
        c \[Rule] \(-\(\(\(-v2\)\ y + v3\ y + v\ y2 - v3\ y2 - v\ y3 + 
                  v2\ y3\)\/\(x2\ y - x3\ y - x\ y2 + x3\ y2 + x\ y3 - 
                  x2\ y3\)\)\), 
        a \[Rule] \(-\(\(u2\ y - u3\ y - u\ y2 + u3\ y2 + u\ y3 - 
                  u2\ y3\)\/\(\(-x2\)\ y + x3\ y + x\ y2 - x3\ y2 - x\ y3 + 
                  x2\ y3\)\)\), 
        b \[Rule] \(-\(\(\(-u2\)\ x + u3\ x + u\ x2 - u3\ x2 - u\ x3 + 
                  u2\ x3\)\/\(\(-x2\)\ y + x3\ y + x\ y2 - x3\ y2 - x\ y3 + 
                  x2\ y3\)\)\), 
        e \[Rule] \(-\(\(u3\ x2\ y - u2\ x3\ y - u3\ x\ y2 + u\ x3\ y2 + 
                  u2\ x\ y3 - u\ x2\ y3\)\/\(\(-x2\)\ y + x3\ y + x\ y2 - 
                  x3\ y2 - x\ y3 + x2\ y3\)\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(data = {v \[Rule] \(-0.404\), v2 \[Rule] \(-0.112\), 
          v3 \[Rule] 0.537, x \[Rule] 0.757, x2 \[Rule] 0.047, 
          x3 \[Rule] 0.663, y \[Rule] \(-0.749\), y2 \[Rule] 0.2, 
          y3 \[Rule] 0.441};\)\), "\[IndentingNewLine]", 
    \(sol /. data\)}], "Input"],

Cell[BoxData[
    \({{f \[Rule] \(-0.3154848271919587`\), d \[Rule] 0.8477796568452309`, 
        c \[Rule] 0.7218914004874991`, 
        a \[Rule] 
          1.3232869388932558`\ \((0.241`\ u - 1.19`\ u2 + 
                0.9490000000000001`\ u3)\), 
        b \[Rule] 
          1.3232869388932558`\ \((\(-0.616`\)\ u - 0.09399999999999997`\ u2 + 
                0.71`\ u3)\), 
        e \[Rule] 
          1.3232869388932558`\ \((0.11187300000000003`\ u + 0.830424`\ u2 - 
                0.18660300000000002`\ u3)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[{{0, 
            4} \[Equal] {{a, b}, {c, d}} . {2, 0} + {e, 
              f}, \[IndentingNewLine]{4, 
            1} \[Equal] {{a, b}, {c, d}} . {0, 2} + {e, 
              f}, \[IndentingNewLine]{4, 
            0} \[Equal] {{a, b}, {c, d}} . {\(-2\), 0} + {e, f}}, {a, b, c, 
        d, e, f}]\)], "Input"],

Cell[BoxData[
    \({{a \[Rule] \(-1\), b \[Rule] 1, c \[Rule] 1, d \[Rule] \(-\(1\/2\)\), 
        e \[Rule] 2, f \[Rule] 2}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[{{0, 4} == {2\ a + e, 2\ c + f}, {4, 1} == {2\ b + e, 
            2\ d + f}, {4, 0} == {\(-2\)\ a + e, \(-2\)\ c + f}}, {a, b, c, 
        d, e, f}]\)], "Input"],

Cell[BoxData[
    \({{a \[Rule] \(-1\), b \[Rule] 1, c \[Rule] 1, d \[Rule] \(-\(1\/2\)\), 
        e \[Rule] 2, f \[Rule] 2}}\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "Nous allons maintenant d\[EAcute]finir une fonction ",
  StyleBox["f",
    FontSlant->"Italic"],
  " qui correspond \[AGrave] cette transformation"
}], "Text"],

Cell[BoxData[
    \(f[{x_, y_}] := {{\(-1\), 1}, {1, \(-1\)/2}} . {x, y} + {2, 
          2}\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[{0, 2}]\)], "Input"],

Cell[BoxData[
    \({4, 1}\)], "Output"]
}, Open  ]],

Cell["Nous allons appliquer cette fonction sur une liste de points", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[f, {{2, 0}, {0, 2}, {\(-2\), 0}, {0, \(-2\)}}]\)], "Input"],

Cell[BoxData[
    \({{0, 4}, {4, 1}, {4, 0}, {0, 3}}\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowSize->{889, 571},
WindowMargins->{{12, Automatic}, {-160, Automatic}},
ShowCellLabel->False,
Magnification->2
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 46, 0, 332, "Title"],
Cell[1776, 54, 140, 2, 146, "Text"],

Cell[CellGroupData[{
Cell[1941, 60, 49, 1, 55, "Input"],
Cell[1993, 63, 50, 1, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2080, 69, 373, 13, 55, "Input"],
Cell[2456, 84, 342, 12, 79, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2835, 101, 58, 1, 55, "Input"],
Cell[2896, 104, 60, 1, 55, "Output"]
}, Open  ]],
Cell[2971, 108, 279, 5, 127, "Text"],

Cell[CellGroupData[{
Cell[3275, 117, 67, 1, 55, "Input"],
Cell[3345, 120, 68, 1, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3450, 126, 35, 0, 80, "Subsubsection"],
Cell[3488, 128, 628, 17, 226, "Text"],

Cell[CellGroupData[{
Cell[4141, 149, 67, 1, 55, "Input"],
Cell[4211, 152, 68, 1, 55, "Output"]
}, Open  ]],
Cell[4294, 156, 258, 6, 94, "Text"],
Cell[4555, 164, 109, 2, 89, "Input"],
Cell[4667, 168, 67, 0, 61, "Text"],

Cell[CellGroupData[{
Cell[4759, 172, 283, 5, 123, "Input"],
Cell[5045, 179, 78, 1, 55, "Output"],
Cell[5126, 182, 84, 1, 55, "Output"],
Cell[5213, 185, 84, 1, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5334, 191, 350, 7, 157, "Input"],
Cell[5687, 200, 1133, 18, 434, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6857, 223, 297, 5, 157, "Input"],
Cell[7157, 230, 537, 11, 157, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7731, 246, 337, 7, 157, "Input"],
Cell[8071, 255, 140, 2, 74, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8248, 262, 188, 3, 123, "Input"],
Cell[8439, 267, 140, 2, 74, "Output"]
}, Open  ]],
Cell[8594, 272, 178, 5, 61, "Text"],
Cell[8775, 279, 105, 2, 55, "Input"],

Cell[CellGroupData[{
Cell[8905, 285, 42, 1, 55, "Input"],
Cell[8950, 288, 40, 1, 55, "Output"]
}, Open  ]],
Cell[9005, 292, 76, 0, 61, "Text"],

Cell[CellGroupData[{
Cell[9106, 296, 83, 1, 55, "Input"],
Cell[9192, 299, 66, 1, 55, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

